| Home | Libraries | People | FAQ | More

##### begin(rtree<...> const &)

Returns the iterator pointing at the begin of the rtree values range.

###### Description

This method returns the iterator which may be used to iterate over all values stored in the rtree.

###### Synopsis

    template<typename Value,
             typename Parameters,
             typename IndexableGetter,
             typename EqualTo,
             typename Allocator>
    rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator >::const_iterator begin(rtree< Value, Parameters, IndexableGetter, EqualTo, Allocator > const & tree)

###### Returns

The iterator pointing at the begin of the range.

###### Example

    std::for_each(bgi::begin(tree), bgi::end(tree), do_something());
    // the same as
    std::for_each(boost::begin(tree), boost::end(tree), do_something());

###### Iterator category

ForwardIterator

###### Throws

If allocation throws.

| Warning
The modification of the rtree may invalidate the iterators.